# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Net-SMTP-SSL
Version:	1.04
Release:	20.%{__distinit}%{__distvers}
Summary:	SSL support for Net::SMTP
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Net-SMTP-SSL
Source0:	https://cpan.metacpan.org/modules/by-module/Net/Net-SMTP-SSL-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(IO::Socket::SSL)
BuildRequires:	perl(Net::SMTP)
BuildRequires:	perl(strict)
# Test Suite
BuildRequires:	perl(Test::More) >= 0.47
# Dependency
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif

%description
Implements the same API as Net::SMTP, but uses IO::Socket::SSL for its
network operations.

%prep
%setup -q -n Net-SMTP-SSL-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/Net/
%{_mandir}/man3/Net::SMTP::SSL.3*

%changelog
* Tue Jul 18 2023 Paul Howarth <paul@city-fan.org> - 1.04-20
- Use SPDX-format license tag

* Fri Jun  7 2019 Paul Howarth <paul@city-fan.org> - 1.04-9
- Perl 5.30 rebuild

* Wed Apr 25 2018 Paul Howarth <paul@city-fan.org> - 1.04-5
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Mon Oct 10 2016 Paul Howarth <paul@city-fan.org> - 1.04-1
- Update to 1.04
  - Mark this library deprecated, suggest newer Net::SMTP instead

* Tue Sep 13 2016 Paul Howarth <paul@city-fan.org> - 1.03-3
- BR: perl-generators where available
- Simplify find command using -delete

* Mon Jun 22 2015 Paul Howarth <paul@city-fan.org> - 1.03-1
- Update to 1.03
  - $net_smtp_ssl->isa('Net::SMTP') is now true

* Fri Mar 27 2015 Paul Howarth <paul@city-fan.org> - 1.02-1
- Update to 1.02
  - Make it work again under blead
- This release by RJBS → update source URL
- Classify buildreqs by usage

* Fri Sep 12 2014 Paul Howarth <paul@city-fan.org> - 1.01-18
- Drop %%defattr, redundant since rpm 4.4

* Tue Jul 10 2012 Paul Howarth <paul@city-fan.org> - 1.01-10
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Thu Jun 30 2011 Paul Howarth <paul@city-fan.org> - 1.01-8
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> - 1.01-7
- Rebuild for perl 5.12.1 in Rawhide

* Thu Jun  3 2010 Paul Howarth <paul@city-fan.org> - 1.01-6
- Fix dist tag for RHEL-6 Beta

* Wed Jan 27 2010 Paul Howarth <paul@city-fan.org> - 1.01-5
- Import from Fedora

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.01-4
- Rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.01-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.01-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Oct 15 2008 Dan Nicholson <dbn.lists@gmail.com> - 1.01-1
- Initial release
